summaryrefslogtreecommitdiff
path: root/libre/iceweasel
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2022-10-26 20:31:50 -0400
committerbill-auger <mr.j.spam.me@gmail.com>2022-11-28 07:16:59 -0500
commit532dfbb8d8a33b1432c1effe5b409d92f5e4af41 (patch)
tree1450aed001cd929220d1e4ad3f319391468d8a43 /libre/iceweasel
parent2a8314fb11b67e2d259655cb915330f9a73218bd (diff)
[iceweasel]: WIP - armv7h
Diffstat (limited to 'libre/iceweasel')
-rw-r--r--libre/iceweasel/PKGBUILD26
1 files changed, 19 insertions, 7 deletions
diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 253bed092..59e6667cf 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -160,6 +160,8 @@ armv7h)
_should_skip_pgo=1
makedepends=( ${makedepends[*]/wasi*/} ) # armv7h has no wasi compiler
+
+ depends+=( icu=72.1 ) # --with-system-icu
;;
i686)
_should_skip_pgo=1
@@ -254,6 +256,7 @@ prepare() {
# Error: immediate expression requires a # prefix -- `pld [r0,1792]'
# mozilla #1787405 and #1791267
sed -i "s|# 'LIBYUV_DISABLE_NEON',|'LIBYUV_DISABLE_NEON',|" media/libyuv/libyuv/libyuv.gyp
+ ! grep "# 'LIBYUV_DISABLE_NEON'," media/libyuv/libyuv/libyuv.gyp || ! echo "error patching media/libyuv/libyuv/libyuv.gyp" || exit 1
;;
i686)
;;
@@ -319,13 +322,22 @@ END
case ${CARCH} in
aarch64|armv7h)
# version-specific hacks
- cat >> ../mozconfig <<EOF
-export CC=gcc
-export CXX=g++
-export AR=gcc-ar
-export NM=gcc-nm
-export RANLIB=gcc-ranlib
-EOF
+
+ # FIXME:
+ echo "FIXME: parabola armv7h fails to build 106 gcc 12"
+ # | 901:42.65 /tmp/cc2fsVPk.s: Assembler messages:
+ # | 901:42.65 /tmp/cc2fsVPk.s: Error: .size expression for ff_fft_calc_neon does not evaluate to a constant
+ # | 901:42.66 /tmp/cc2fsVPk.s: Error: .size expression for ff_fft_permute_neon does not evaluate to a constant
+ # | 901:42.67 make[4]: *** [/build/iceweasel/src/firefox-106.0.1/config/rules.mk:664: fft_neon.o] Error 1
+ # | 901:42.69 make[3]: *** [/build/iceweasel/src/firefox-106.0.1/config/recurse.mk:72: media/ffvpx/libavcodec/arm/target-objects] Error 2
+# cat >> ../mozconfig <<EOF
+#export CC=gcc
+#export CXX=g++
+#export AR=gcc-ar
+#export NM=gcc-nm
+#export RANLIB=gcc-ranlib
+#EOF
+
echo 'ac_add_options --with-system-icu' >> ../mozconfig # ld.lld: error: undefined hidden symbol: std::type_info::operator==(std::type_info const&) const
# archarm has these differences in ## general configuration ## above